#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	gtk-layer-shell
Version		:	0.8.1
Release		:	14.8.0.0%{?dist}
Summary		:	Library to create components for Wayland using the Layer Shell

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+
URL		:	https://github.com/wmww/gtk-layer-shell

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	gobject-introspection
BuildRequires	:	meson
BuildRequires	:	vala
BuildRequires	:	wayland
BuildRequires	:	wayland-protocols
#-----------------------------------------------------------------------------
%description
A library to write GTK applications that use Layer Shell.
Layer Shell is a Wayland protocol for desktop shell
components, such as panels, notifications and wallpapers.
You can use it to anchor your windows to a corner or
edge of the output, or stretch them across the entire output.
This library only makes sense on Wayland compositors that
support Layer Shell, and will not work on X11.
It supports all Layer Shell features including popups
and popovers (GTK popups Just Work).

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc README.md CHANGELOG.md
%{_libdir}/girepository-1.0/GtkLayerShell-0.1.typelib
%{_libdir}/lib%{name}.so.0*

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
This subpackage contains the headers to make use of the
'%{name}' library.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_datadir}/gir-1.0/GtkLayerShell-0.1.gir
%{_datadir}/vala/vapi/%{name}-0.deps
%{_datadir}/vala/vapi/%{name}-0.vapi
%{_includedir}/%{name}//%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}-0.pc


#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir_p} _bld
meson							\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --bindir=%{_bindir}				\
        --sbindir=%{_sbindir}				\
        --mandir=%{_mandir}				\
        --libdir=%{_libdir}				\
        --infodir=%{_infodir}				\
        --mandir=%{_mandir}				\
	_bld

meson							\
	compile						\
	-C _bld

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
meson							\
	install						\
	-C _bld

#-----------------------------------------------------------------------------
%changelog

